Skip to main content
POST
/
orgs
/
{orgId}
/
compliance
/
dsars
cURL
curl --request POST \
  --url https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subjectEmail": "jsmith@example.com",
  "subjectName": "<string>",
  "subjectId": "<string>",
  "description": "<string>",
  "dueInDays": 30,
  "metadata": {}
}
'
{
  "id": "<string>",
  "orgId": "<string>",
  "subjectEmail": "<string>",
  "subjectName": "<string>",
  "subjectId": "<string>",
  "description": "<string>",
  "requestedAt": "<string>",
  "verifiedAt": "<string>",
  "dueAt": "<string>",
  "completedAt": "<string>",
  "processedBy": "<string>",
  "response": {},
  "metadata": {},
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

Body

application/json

Input for creating a data subject request

type
enum<string>
required

Type of data subject request

Available options:
ACCESS,
DELETE,
RECTIFY,
PORTABILITY,
RESTRICT
subjectEmail
string<email>
required

Email of the data subject

subjectName
string

Name of the data subject

subjectId
string

Identifier of the data subject

description
string

Request description

dueInDays
integer
default:30

Days until due (default 30 for GDPR)

Required range: 1 <= x <= 90
metadata
object

Additional metadata

Response

200 - application/json

OK

A data subject access request record

id
string
required

Unique DSAR identifier

orgId
string
required

Organization identifier

type
enum<string>
required

Type of data subject request

Available options:
ACCESS,
DELETE,
RECTIFY,
PORTABILITY,
RESTRICT
status
enum<string>
required

Current status of the data subject request

Available options:
RECEIVED,
VERIFIED,
IN_PROGRESS,
COMPLETED,
DENIED,
OVERDUE
subjectEmail
string
required

Email of the data subject

subjectName
string | null
required

Name of the data subject

subjectId
string | null
required

Identifier of the data subject

description
string | null
required

Request description

requestedAt
string
required

ISO 8601 request timestamp

verifiedAt
string | null
required

ISO 8601 verification timestamp

dueAt
string
required

ISO 8601 due date

completedAt
string | null
required

ISO 8601 completion timestamp

processedBy
string | null
required

User who processed the request

response
object | null
required

Response data

metadata
object
required

Additional metadata

createdAt
string
required

ISO 8601 creation timestamp

updatedAt
string
required

ISO 8601 last update timestamp